%define upstream_name    Test-Regression
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test library to generate and compare output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff)
BuildRequires: perl(DirHandle)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
Using the various Test:: modules you can compare the output of a function
against what you expect. However if the output is complex and changes from
version to version, maintenance of the expected output could be costly.
This module allows one to use the test code to generate the expected
output, so that if the differences with model output are expected, one can
easily refresh the model output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-5.mga10
+ Revision: 2204764
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-4.mga9
+ Revision: 1810372
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-3.mga8
+ Revision: 1506527
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1286744
- Mageia 7 Mass Rebuild

* Fri Aug 18 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1141561
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1034591
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 932146
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 738826
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.70.0-4.mga5
+ Revision: 736015
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 686525
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 529991
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 454662
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 32464
- mageia rebuild
- imported package perl-Test-Regression

